package com.mcwl.web.controller.rabbitmq.config;

import com.mcwl.common.constant.QueueConstants;
import org.springframework.amqp.core.Queue;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * 初始化发送短信服雾队列
 *
 * @author DaiZibo
 * @date 2024/12/30
 * @apiNote
 */

@Configuration
public class CodeMQConfig {

    @Bean
    public Queue queue() {
        return new Queue(QueueConstants.CODE_QUEUE, true);
    }

    @Bean
    public Queue emptyPointsRemindQueue() {
        return new Queue(QueueConstants.EMPTY_POINTS_REMIND_QUEUE, true);
    }

    @Bean
    public Queue memberBillingQueue() {
        return new Queue(QueueConstants.MEMBER_BILLING_QUEUE, true);
    }


    @Bean
    public Queue modelLikeQueue() {
        return new Queue(QueueConstants.MODEL_LIKE_QUEUE, true);
    }


    @Bean
    public Queue modelCommentLikeQueue() {
        return new Queue(QueueConstants.MODEL_COMMENT_LIKE_QUEUE, true);
    }

    @Bean
    public Queue imageLikeQueue() {
        return new Queue(QueueConstants.IMAGE_LIKE_QUEUE, true);
    }


    @Bean
    public Queue imageCommentLikeQueue() {
        return new Queue(QueueConstants.IMAGE_COMMENT_LIKE_QUEUE, true);
    }

    @Bean
    public Queue workFlowLikeQueue() {
        return new Queue(QueueConstants.WORK_FLOW_LIKE_QUEUE, true);
    }


    @Bean
    public Queue workFlowCommentLikeQueue() {
        return new Queue(QueueConstants.WORK_FLOW_COMMENT_LIKE_QUEUE, true);
    }


    @Bean
    public Queue sysMsgQueue() {
        return new Queue(QueueConstants.SYS_MSG_QUEUE, true);
    }


}
